%global plugin_name googlechat

%global commit0 b6b824a4764b51316f7be325492575684647e021
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20221106

%define rel 1

Name:		purple-%{plugin_name}
Version:	0
Release:	%mkrel %{rel}.%{date}git%{shortcommit0}
Group:		Networking/Instant messaging
License:	GPLv3+
Summary:	Google Chat plugin for libpurple
URL:		https://github.com/EionRobb/purple-googlechat
Source0:	%{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	gcc

Provides:	purple-hangouts = %{version}-%{release}
Obsoletes:	purple-hangouts < 0-5.20171023hg4ce9b33

%package -n pidgin-%{plugin_name}
Summary:	Adds pixmaps, icons and smileys for Google Chat protocol
Group:		Networking/Instant messaging
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	pidgin
Provides:	pidgin-hangouts = %{version}-%{release}
Obsoletes:	pidgin-hangouts < 0-5.20171023hg4ce9b33

%description
Adds support for Google Chat to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Google Chat protocol implemented by
purple-googlechat.

%prep
%autosetup -n %{name}-%{commit0}

# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build
%set_build_flags
%make_build

%install
%make_install

# Setting correct chmod...
chmod 755 %{buildroot}%{_libdir}/purple-2/lib%{plugin_name}.so

%files
%license LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so

%files -n pidgin-%{plugin_name}
%license LICENSE
%doc README.md
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png


%changelog
* Fri Apr 07 2023 daviddavid <daviddavid> 0-1.20221106gitb6b824a.mga9
+ Revision: 1951633
- initial package purple-googlechat (a replacement for purple-hangouts mga#31774)

